Tripnet - Feature #22250
Amend feature - Hotel -B2B
06/29/2017 09:23 am - Sreerag Prasannan

Status: Closed Start date: 08/07/2017
Priority: Immediate Due date: 08/07/2017
Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 65.50 hours
End_Date: 08/03/2017 Areas Affected:

remarks: Files Changed:

DB Changes: Initial Planned Hours:

Keys & Permissions:

Description

make sure we are able to edit the hotel details after amended and new voucher with amended changes can be displayed and send.

please do for online and offline booking as well.

date can be edited

rooms can be added

passenger can be added

cancellation policy can be added for each room

star rating

hotel name , address can be changed as well

Make sure the details is kept in Booking history or any table and displayed below in history for any change.

Do as permission. and common for new admin.

Subtasks:
Bug # 23985: Amend feature issues Closed

History

#1 - 06/29/2017 09:24 am - Sreerag Prasannan
- Project changed from 3otolat to Tripnet

- Description updated

- Category deleted (Functionality)

#2 - 06/29/2017 09:24 am - Sreerag Prasannan
- Description updated

#3 - 06/29/2017 09:25 am - Sreerag Prasannan
- Subject changed from Amend feature - Hotel to Amend feature - Hotel -B2B

#4 - 06/29/2017 09:31 am - Sreerag Prasannan

- File amend changes.png added
- Description updated
#5 - 07/20/2017 02:13 pm - Sreerag Prasannan

- Priority changed from Urgent to Immediate
#6 - 07/26/2017 06:21 am - Jubin J

- Due date set to 07/28/2017

- Status changed from New to Assigned

- Assignee set to Linto V

- Start date changed from 06/29/2017 to 07/26/2017

#7 - 07/26/2017 08:03 am - Linto V
- Status changed from Assigned to In Progress

#8 - 07/27/2017 02:19 pm - Linto V

Added sp - UpdateHotelDetailsForAmendStatus

#9 - 07/27/2017 04:30 pm - Linto V

- % Done changed from 0 to 20

#10 - 07/28/2017 02:58 pm - Jubin J
- Due date changed from 07/28/2017 to 08/01/2017

#11 - 07/28/2017 05:29 pm - Linto V
- % Done changed from 20 to 40

#12 - 07/29/2017 10:18 am - Linto V

Added sp - SELECTROOMNAMES

#13 - 07/29/2017 04:10 pm - Linto V

Added SP - SelectPassengerCountDetails

#14 - 07/31/2017 06:16 pm - Linto V

- % Done changed from 40 to 50

#15 - 08/01/2017 06:12 pm - Jubin J
- Due date changed from 08/01/2017 to 08/02/2017

#16 - 08/01/2017 06:16 pm - Linto V

- % Done changed from 50 to 70

Due to power failure loss 2.5 hours

#17 - 08/02/2017 01:13 pm - Linto V

Added - SelectAmendBookingHistoryDetail
#18 - 08/02/2017 05:17 pm - Jubin J
- Due date changed from 08/02/2017 to 08/03/2017

#19 - 08/03/2017 06:07 pm - Linto V
- % Done changed from 70 to 100
- End_Date set to 08/03/2017

#20 - 08/04/2017 12:32 pm - Linto V

- Status changed from In Progress to Fixed not Tested
#21 - 08/04/2017 06:06 pm - Linto V

Modifications suggested by sreerag is done.

Added last possible cancellation date updation is done.

Code Details updated.
Date format generailzed

#22 - 08/05/2017 09:54 am - Linto V

Permission added -- HotelAmendUpdation

#23 - 08/10/2017 02:52 pm - Sreerag Prasannan

- Status changed from Fixed not Tested to Closed
- Assignee deleted (Linto V)

issue fixed.

Files

edit amend.png 128 KB 06/29/2017 Sreerag Prasannan

amend changes.png 120 KB 06/29/2017 Sreerag Prasannan
08/08/2025 3/3



